Loading...
Searching...
No Matches
ARP related
APIs » Sequential-style APIs » NETIF API

## Functions

err_t | netifapi_arp_add (const ip4_addr_t *ipaddr, struct eth_addr *ethaddr, enum netifapi_arp_entry type)
err_t | netifapi_arp_remove (const ip4_addr_t *ipaddr, enum netifapi_arp_entry type)

## Detailed Description

To be called from non-TCPIP threads

## Function Documentation

## netifapi_arp_add()

err_t netifapi_arp_add | ( | const ip4_addr_t * | ipaddr,
|  | struct eth_addr * | ethaddr,
|  | enum netifapi_arp_entry | type )

Add or update an entry in the ARP cache. For an update, ipaddr is used to find the cache entry.

Parameters

  ipaddr | IPv4 address of cache entry
  ethaddr | hardware address mapped to ipaddr
  type | type of ARP cache entry

Returns
  ERR_OK: entry added/updated, else error from err_t

## netifapi_arp_remove()

err_t netifapi_arp_remove | ( | const ip4_addr_t * | ipaddr,
|  | enum netifapi_arp_entry | type )

Remove an entry in the ARP cache identified by ipaddr

Parameters

  ipaddr | IPv4 address of cache entry
  type | type of ARP cache entry

Returns
  ERR_OK: entry removed, else error from err_t